## maxima 5.31.3

=== debian/changelog ===
maxima (5.31.3-5) unstable; urgency=low

  * rebuild against latest gcl

 -- Camm Maguire <camm@debian.org>  Thu, 14 Nov 2013 16:38:29 +0000

maxima (5.31.3-4) unstable; urgency=low

  * rebuild against latest gcl

 -- Camm Maguire <camm@debian.org>  Wed, 23 Oct 2013 18:12:26 +0000

maxima (5.31.3-3) unstable; urgency=low

  * rebuild against latest gcl to fix unrandomize on ii386

 -- Camm Maguire <camm@debian.org>  Mon, 21 Oct 2013 00:53:39 +0000

maxima (5.31.3-2) unstable; urgency=low

  * build-dep on latest gcl
  * Bug fix: "Maxima aborts with error &quot;Unrecoverable error:
    Segmentation violation..", thanks to Robert Jacobs (Closes: #726366).
  * Bug fix: "[maxima] [regression][solved upstream] Lu_factor fail",
    thanks to Bastien ROUCARIÈS (Closes: #714824).  New upstream source
    incorporates patch

 -- Camm Maguire <camm@debian.org>  Fri, 18 Oct 2013 14:49:02 +0000

maxima (5.31.3-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Wed, 16 Oct 2013 15:45:59 +0000

maxima (5.31.0-5) unstable; urgency=low

  * build-dep against latest gcl

 -- Camm Maguire <camm@debian.org>  Wed, 16 Oct 2013 00:30:06 +0000

maxima (5.31.0-4) unstable; urgency=low

  * build-dep against latest gcl

 -- Camm Maguire <camm@debian.org>  Fri, 11 Oct 2013 15:24:49 +0000

maxima (5.31.0-3) unstable; urgency=low

  * build-dep against latest gcl

 -- Camm Maguire <camm@debian.org>  Wed, 02 Oct 2013 19:58:11 +0000

maxima (5.31.0-2) unstable; urgency=low

  * build-dep against latest gcl
  * add --enable-sys-proclaim configure option

 -- Camm Maguire <camm@debian.org>  Tue, 01 Oct 2013 15:46:36 +0000

maxima (5.31.0-1) unstable; urgency=low

  * New upstream release
  * Bug fix: "[maxima] Patch is not documented", thanks to Bastien
    ROUCARIÈS (Closes: #717632).  Document live patches.

 -- Camm Maguire <camm@debian.org>  Wed, 04 Sep 2013 14:12:09 +0000

maxima (5.30.0-16) unstable; urgency=low

  * build-dep against latest gcl
  * fix clean target

 -- Camm Maguire <camm@debian.org>  Wed, 07 Aug 2013 17:11:12 +0000

maxima (5.30.0-15) unstable; urgency=low

  * build-dep against latest gcl

 -- Camm Maguire <camm@debian.org>  Mon, 05 Aug 2013 20:42:36 +0000

maxima (5.30.0-14) unstable; urgency=low

  * build-dep against latest gcl

 -- Camm Maguire <camm@debian.org>  Fri, 02 Aug 2013 16:50:07 +0000

maxima (5.30.0-13) unstable; urgency=low

  * build-dep against latest gcl

 -- Camm Maguire <camm@debian.org>  Sat, 27 Jul 2013 12:55:13 +0000

maxima (5.30.0-12) unstable; urgency=low

  * build-dep against latest gcl

 -- Camm Maguire <camm@debian.org>  Tue, 23 Jul 2013 18:16:01 +0000

maxima (5.30.0-11) unstable; urgency=low

  * build-dep on latest gcl

 -- Camm Maguire <camm@debian.org>  Sat, 20 Jul 2013 02:06:41 +0000

maxima (5.30.0-10) unstable; urgency=low

  * build-dep on latest gcl

 -- Camm Maguire <camm@debian.org>  Mon, 08 Jul 2013 17:08:19 +0000
