## maxima 5.32.1

=== debian/changelog ===
maxima (5.32.1-1) unstable; urgency=low

  * New upstream release
  * Bug fix: "depends on tk8.5 and calls /usr/bin/wish", thanks to Sergei
    Golovan (Closes: #725694).  Depend on tk
  * lintian fixes

 -- Camm Maguire <camm@debian.org>  Thu, 09 Jan 2014 16:41:19 +0000
