=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: math
 Priority: optional
 Maintainer: Camm Maguire <camm@debian.org>
-Build-Depends: gcl ( >= 2.6.10-1 ) , texinfo, libgmp3-dev, libreadline-dev, locales, automake, debhelper ( >=5 ), autoconf2.13, gawk | awk, texlive-latex-recommended, sharutils, libxmu-dev, libxaw7-dev, tex-common
-Standards-Version: 3.9.4
+Build-Depends: gcl ( >= 2.6.10 ) , texinfo, libgmp3-dev, libreadline-dev, locales, automake, debhelper ( >=5 ), autoconf2.13, gawk | awk, texlive-latex-recommended, sharutils, libxmu-dev, libxaw7-dev, tex-common
+Standards-Version: 3.9.5
 
 Package: maxima
 Architecture: any
@@ -71,7 +71,7 @@
 
 Package: xmaxima
 Architecture: any
-Depends:  tk8.5 | tk8.4, maxima (>= ${binary:Version}), maxima-doc (>= ${source:Version}), maxima-test (>= ${source:Version}), ${misc:Depends}
+Depends:  tk, maxima (>= ${binary:Version}), maxima-doc (>= ${source:Version}), maxima-test (>= ${source:Version}), ${misc:Depends}
 Recommends: mime-support, postscript-viewer, pdf-viewer
 Suggests: texmacs
 Replaces: maxima (<< ${binary:Version})
