## maxima 5.33.0

=== debian/changelog ===
maxima (5.33.0-14) unstable; urgency=medium

  * build-dep latest gcl
  * Bug fix: "&quot;Segmentation fault&quot; during startup", thanks to
    Joerg Morbitzer (Closes: #756465).
  * Bug fix: "Maxima segfaults when calculating determinant", thanks to
    Jeronimo Pellegrini (Closes: #756337).

 -- Camm Maguire <camm@debian.org>  Tue, 05 Aug 2014 01:56:07 +0000

maxima (5.33.0-13) unstable; urgency=medium

  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Thu, 24 Jul 2014 22:03:31 +0000

maxima (5.33.0-12) unstable; urgency=medium

  * build-dep latest gcl
  * Bug fix: "cannot use prelink on maxima binary", thanks to Laurent
    Bonnaud (Closes: #262891).
  * remove obsolete external plotting and tips documentation

 -- Camm Maguire <camm@debian.org>  Tue, 22 Jul 2014 19:35:20 +0000

maxima (5.33.0-11) unstable; urgency=medium

  * Bug fix: "maxima wants wxt as backend for gnuplot", thanks to Harven
    (Closes: #752214). patch gnuplot_default_term_command

 -- Camm Maguire <camm@debian.org>  Thu, 17 Jul 2014 21:17:23 +0000

maxima (5.33.0-10) unstable; urgency=medium

  * rebuild against latest gcl

 -- Camm Maguire <camm@debian.org>  Wed, 16 Jul 2014 21:13:29 +0000

maxima (5.33.0-9) unstable; urgency=medium

  * gcl version number mismatch

 -- Camm Maguire <camm@debian.org>  Wed, 09 Jul 2014 18:56:55 +0000

maxima (5.33.0-8) unstable; urgency=medium

  * update rtest8 from upstream, disallow test suite failures again
  * Bug fix: "uninstalable because dependency on unavailable binutils.",
    thanks to Daniel Serpell (Closes: #753445). build-dep latest gcl
  * Bug fix: "Maxima fails to load lapack (and I know why)", thanks to
    Jeronimo Pellegrini (Closes: #748883).

 -- Camm Maguire <camm@debian.org>  Wed, 09 Jul 2014 17:30:10 +0000

maxima (5.33.0-7) unstable; urgency=medium

  * test suite failure independent of gcc version, sidestep

 -- Camm Maguire <camm@debian.org>  Fri, 04 Jul 2014 14:24:46 +0000

maxima (5.33.0-6) unstable; urgency=medium

  * reinsist on test suite perfection, gcl back off to gcc 4.8 on i386

 -- Camm Maguire <camm@debian.org>  Fri, 04 Jul 2014 01:55:48 +0000

maxima (5.33.0-5) unstable; urgency=medium

  * sidestep gcc 4.9.0 test failures for now

 -- Camm Maguire <camm@debian.org>  Tue, 01 Jul 2014 14:18:58 +0000

maxima (5.33.0-4) unstable; urgency=medium

  * build dep latest gcl

 -- Camm Maguire <camm@debian.org>  Mon, 30 Jun 2014 02:29:51 +0000

maxima (5.33.0-3) unstable; urgency=high

  * Bug fix: "maxima fails to plot through gnuplot", thanks to Andres
    Cimmarusti (Closes: #747221).

 -- Camm Maguire <camm@debian.org>  Fri, 16 May 2014 13:40:05 +0000

maxima (5.33.0-2) unstable; urgency=high

  * Bug fix: "Segmentation fault", thanks to Thorsten Bonow (Closes:
    #743880).

 -- Camm Maguire <camm@debian.org>  Tue, 15 Apr 2014 20:51:52 +0000

maxima (5.33.0-1) unstable; urgency=low

  * New upstream release
  * Bug fix: "FTBFS in Wheezy", thanks to Moritz Mühlenhoff (Closes:
    #739944).
  * Bug fix: "Asking for documentation on hessian() shows documentation on
    hankel()", thanks to Jeronimo Pellegrini (Closes: #713071).
  * Bug fix: "1000!^0.01 produces i.nfE+142498684", thanks to Sanjoy
    Mahajan (Closes: #707596).
  * Bug fix: "Funny behaviour on dialog buttons", thanks to Neilen
    (Closes: #155264).
  * Bug fix: "maxima Depends: on gnuplot-x11, which is not strictly
    necessary ", thanks to Ivan Shmakov (Closes: #731985). Depends ->
    Recommends.

 -- Camm Maguire <camm@debian.org>  Thu, 03 Apr 2014 16:26:22 +0000
