=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: math
 Priority: optional
 Maintainer: Camm Maguire <camm@debian.org>
-Build-Depends: gcl ( >= 2.6.10 ) , texinfo, libgmp3-dev, libreadline-dev, locales, automake, debhelper ( >=5 ), autoconf2.13, gawk | awk, texlive-latex-recommended, sharutils, libxmu-dev, libxaw7-dev, tex-common
+Build-Depends: gcl ( >= 2.6.10-40 ) , texinfo, libgmp3-dev, libreadline-dev, locales, automake, debhelper ( >=9 ), autoconf2.13, gawk | awk, texlive-latex-recommended, sharutils, libxmu-dev, libxaw7-dev, tex-common
 Standards-Version: 3.9.5
 
 Package: maxima
 Architecture: any
-Depends:  ${shlibs:Depends}, ${misc:Depends}, gnuplot-x11
-Recommends: maxima-share
+Depends:  ${shlibs:Depends}, ${misc:Depends}
+Recommends: maxima-share, gnuplot-x11
 Suggests: texmacs, maxima-doc, xmaxima, maxima-emacs, wish
 Description: Computer algebra system -- base system
  Maxima is a fully symbolic computation program.  It is full featured
