=== debian/rules ===
--- 
+++ 
@@ -196,7 +196,6 @@
 	mkdir -p debian/tmp/usr/share/pixmaps
 	ln -s /usr/share/doc/xmaxima/maxima-icon.png debian/tmp/usr/share/pixmaps/maxima-icon.png
 
-
 # GCL must be able to write to directory in which tests are run
 #	cd debian/tmp/usr/share/maxima/$(MVERS)/tests && patch -p1 <../../../../../../tests.lisp.patch
 #	cat debian/tmp/usr/share/maxima/$(MVERS)/tests/tests.lisp | sed "s,@MVERS@,$(MVERS),g" >tmp && \
