## maxima 5.34.1

=== debian/changelog ===
maxima (5.34.1-2) unstable; urgency=medium

  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Fri, 24 Oct 2014 10:31:37 -0400

maxima (5.34.1-1) unstable; urgency=medium

  * build-dep latest gcl
  * update config.sub, config.guess
  * New upstream release

 -- Camm Maguire <camm@debian.org>  Mon, 29 Sep 2014 10:02:35 -0400

maxima (5.34.0-1) unstable; urgency=medium

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Wed, 03 Sep 2014 10:25:51 -0400

maxima (5.33.0-20) unstable; urgency=medium

  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Sun, 31 Aug 2014 19:05:15 -0400

maxima (5.33.0-19) unstable; urgency=medium

  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Thu, 21 Aug 2014 18:46:50 +0000

maxima (5.33.0-18) unstable; urgency=medium

  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Tue, 19 Aug 2014 19:19:44 +0000

maxima (5.33.0-17) unstable; urgency=medium

  * build-dep latest gcl
  * mv favicon.ico into debian/

 -- Camm Maguire <camm@debian.org>  Thu, 14 Aug 2014 20:51:07 +0000

maxima (5.33.0-16) unstable; urgency=medium

  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Thu, 14 Aug 2014 18:17:56 +0000

maxima (5.33.0-15) unstable; urgency=medium

  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Wed, 06 Aug 2014 20:32:32 +0000
