=== debian/rules ===
--- 
+++ 
@@ -65,6 +65,8 @@
 		--libexec=/usr/lib \
 		--mandir=/usr/share/man \
 		--infodir=/usr/share/info 
+
+	cp debian/favicon.ico doc/info/figures/
 
 	PATH=$$(pwd):$$PATH GCL_ANSI=t $(MAKE)
 
@@ -139,7 +141,7 @@
 	rm -f tests/rtest14.ERR
 	rm -f doc/info/include-maxima.texi
 	rm -f configure.lineno doc/info/extract_categories.sh.debdiff
-	rm -f raw_ff_map src/share-subdirs.lisp
+	rm -f raw_ff_map src/share-subdirs.lisp doc/info/figures/favicon.ico
 	dh_clean
 
 
@@ -210,4 +212,3 @@
 	cd debian/tmp/usr/share/info && \
 		for i in $$(find -name "*.info"); do if ! grep -q START-INFO-DIR-ENTRY $$i ; then k=$$(basename $$i); k=$${k%.*}; awk '{if (!i) {i=1;printf("INFO-DIR-SECTION Maxima\nSTART-INFO-DIR-ENTRY\n* Maxima-%s: (%s).  A computer algebra system -- contributions.\nEND-INFO-DIR-ENTRY\n",k,k);}} {print}' k=$$k $$i >$$i.tmp; diff -u $$i $$i.tmp ; mv $$i.tmp $$i ; fi ; done
 
-	cat debian/tmp/usr/share/info/maxima.info | \
