## maxima 5.35.1

=== debian/changelog ===
maxima (5.35.1-3) unstable; urgency=medium

  * build-dep latest gcl
  * run testsuite with -g to catch intermittent failures on autobuilders

 -- Camm Maguire <camm@debian.org>  Tue, 28 Apr 2015 11:50:07 -0400

maxima (5.35.1-2) unstable; urgency=medium

  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Fri, 24 Apr 2015 13:51:30 -0400

maxima (5.35.1-1) unstable; urgency=medium

  * New upstream release
  * Bug fix: "[maxima] incorrect handling of UTF8 characters", thanks to
    Maximilian Gaukler (Closes: #617357).  Temporarily extend gcl's
    alpha-char-p to handle utf8 continuation characters pending a more
    general utf8 string in gcl.

 -- Camm Maguire <camm@debian.org>  Mon, 15 Dec 2014 11:33:47 -0500

maxima (5.34.1-4) unstable; urgency=medium

  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Thu, 23 Oct 2014 20:05:56 -0400

maxima (5.34.1-3) unstable; urgency=medium

  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Mon, 29 Sep 2014 09:42:34 -0400
