=== debian/rules ===
--- 
+++ 
@@ -56,10 +56,9 @@
 	aclocal
 	automake
 
-	GCL_ANSI=t gcl -batch -eval '(bye #+ia64 1)' || \
-	echo '(setq compiler::*opt-three* "-O0" compiler::*opt-two* "-O0")(si::save-system "gcl")' | GCL_ANSI=t gcl
-
-	PATH=$$(pwd):$$PATH GCL_ANSI=t ./configure --enable-gcl $$(gcl -batch -eval '#-native-reloc(princ "--enable-gcl-alt-link")(bye)') \
+	echo '(progn (dolist (l (quote si::(clines defentry system object bye quit get-setf-method))) (import l :cl)(export l :cl))(export (quote *load-pathname*) :si)(setf (symbol-function (quote si::get-setf-method)) (symbol-function (quote get-setf-expansion)))(setq si::*optimize-maximum-pages* nil)(si::save-system "gcl"))' | GCL_ANSI=t gcl
+
+	PATH=$$(pwd):$$PATH GCL_ANSI=t ./configure --enable-gcl $$(gcl -batch -eval '(progn #-native-reloc(princ "--enable-gcl-alt-link"))') \
 		--enable-sys-proclaim \
 		--prefix=/usr \
 		--libexec=/usr/lib \
@@ -68,7 +67,12 @@
 
 	cp debian/favicon.ico doc/info/figures/
 
+	rm -f src/sys-proclaim.lisp
+
 	PATH=$$(pwd):$$PATH GCL_ANSI=t $(MAKE)
+
+	echo ':lisp (setq maxima::*maxima-started* nil si::*optimize-maximum-pages* t)(si::sgc-on nil)(si::gbc t)(si::save-system "foo")' | ./maxima-local && mv foo src/binary-gcl/maxima
+
 
 # This sets up some reasonable readline command completion by default
 
@@ -77,7 +81,7 @@
 
 	chmod +x ./maxima-local
 #	echo '(bye #-(or sparc sparc64) 1)' | gcl || 
-	./maxima-local --lisp=gcl --batch-string="run_testsuite();"  >tmp 2>&1 & \
+	./maxima-local -g --lisp=gcl --batch-string="run_testsuite();"  >tmp 2>&1 & \
 		j=$$! ; echo Waiting on pid $$j ; \
 		tail -f --pid=$$j --retry tests/tests-gcl.log tmp & wait $$j
 
@@ -103,7 +107,7 @@
 #		TEXINPUTS=../../interfaces/emacs/emaxima:.:$$TEXINPUTS latex maxima && \
 #		dvips -o maxima.ps maxima
 
-	echo ':lisp (setq si::*readline-prefix* "maxima::$$")(when (fboundp (quote si::sgc-on)) (si::sgc-on t))(setq maxima::*maxima-started* nil maxima::*maxima-index-dir* "/usr/share/doc/maxima/info")(si::save-system "foo")' | ./maxima-local && mv foo src/binary-gcl/maxima
+	echo ':lisp (setq si::*readline-prefix* "maxima::$$")(setq maxima::*maxima-started* nil maxima::*maxima-index-dir* "/usr/share/doc/maxima/info")(si::save-system "foo")' | ./maxima-local && mv foo src/binary-gcl/maxima
 
 	touch build-stamp
 
@@ -136,7 +140,7 @@
 	rm -rf src/numerical/slatec/fortran/CVS src/*gazonk* interfaces/xmaxima/win32/Makefile
 	for i in aclocal.m4 src/sys-proclaim.lisp configure ; do ! [ -e $$i.ori ] || mv $$i.ori $$i; done
 	rm -rf doc/info/maxima.html
-	rm -rf src/binary-gcl
+	rm -rf src/binary-gcl gcl
 	rm -f doc/man/ru/maxima.1
 	rm -f tests/rtest14.ERR
 	rm -f doc/info/include-maxima.texi
@@ -210,5 +214,3 @@
 	cp $(BOOK) debian/tmp/usr/share/doc/maxima-doc
 
 	cd debian/tmp/usr/share/info && \
-		for i in $$(find -name "*.info"); do if ! grep -q START-INFO-DIR-ENTRY $$i ; then k=$$(basename $$i); k=$${k%.*}; awk '{if (!i) {i=1;printf("INFO-DIR-SECTION Maxima\nSTART-INFO-DIR-ENTRY\n* Maxima-%s: (%s).  A computer algebra system -- contributions.\nEND-INFO-DIR-ENTRY\n",k,k);}} {print}' k=$$k $$i >$$i.tmp; diff -u $$i $$i.tmp ; mv $$i.tmp $$i ; fi ; done
-
