## maxima 5.36.1

=== debian/changelog ===
maxima (5.36.1-1) unstable; urgency=medium

  * New upstream release

 -- Camm Maguire <camm@barriere.debian.org>  Mon, 01 Jun 2015 17:56:11 +0000

maxima (5.35.1-7) unstable; urgency=medium

  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Fri, 29 May 2015 01:34:17 +0000

maxima (5.35.1-6) unstable; urgency=medium

  * add 10MB si::*code-block-reserve*

 -- Camm Maguire <camm@debian.org>  Mon, 25 May 2015 12:15:04 +0000

maxima (5.35.1-5) unstable; urgency=medium

  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Sat, 16 May 2015 11:57:08 +0000

maxima (5.35.1-4) unstable; urgency=medium

  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Thu, 30 Apr 2015 21:34:54 -0400
