=== debian/rules ===
--- 
+++ 
@@ -71,7 +71,7 @@
 
 	PATH=$$(pwd):$$PATH GCL_ANSI=t $(MAKE)
 
-	echo ':lisp (setq maxima::*maxima-started* nil si::*optimize-maximum-pages* t)(si::sgc-on nil)(si::gbc t)(si::save-system "foo")' | ./maxima-local && mv foo src/binary-gcl/maxima
+	echo ':lisp (setq maxima::*maxima-started* nil si::*optimize-maximum-pages* t si::*code-block-reserve* (make-array 10000000 :element-type (quote character) :static t))(si::sgc-on nil)(si::gbc t)(si::save-system "foo")' | ./maxima-local && mv foo src/binary-gcl/maxima
 
 
 # This sets up some reasonable readline command completion by default
@@ -213,4 +213,3 @@
 
 	cp $(BOOK) debian/tmp/usr/share/doc/maxima-doc
 
-	cd debian/tmp/usr/share/info && \
